Skip to main content

Get Affiliate Commission Record (affiliate only)

HTTP Request

  • GET /api/v3/rebate/affiliate/commission

Required Permission: SPOT_ACCOUNT_READ

Weight(IP): 1

Request Parameters

NameTypeMandatoryDescription
startTimelongYesStart time, Unix millisecond timestamp
endTimelongYesEnd time, Unix millisecond timestamp
uidstringNoUID
inviteCodestringNoinvite Code
pageintNopage
pageSizeintNopageSize,default:10
timestamplongYestimestamp
signaturestringYessignature

Response Parameters

NameTypeDescription
uidstringuser uid
accountstringaccount
inviteCodestringinviteCode
inviteTimelonginviteTime
spotstringspot commission(usdt)
etfstringETF commission(usdt)
futuresstringfutures commission(usdt)
totalstringtotal commission(usdt)
depositstringdeposit amount(usdt)
firstDepositTimestringfirst Deposit Time

If startTime and endTime are not sent, default return the data of the last six months .

Response

{
"success": true,
"code": 0,
"message": null,
"data": {
"pageSize": 10,
"totalCount": 2,
"totalPage": 1,
"currentPage": 1,
"usdtAmount": null,
"totalCommissionUsdtAmount": null,
"totalTradeUsdtAmount": null,
"finished": null,
"resultList": [
{
"uid": "27121050",
"account": "",
"inviteCode": "mexc-12345",
"inviteTime": 1637145911,
"spot": "0.00000000",
"etf": "0.21131086",
"futures": "0.74546367",
"total": "0.95677453",
"deposit": null,
"firstDepositTime": null
},
{
"uid": "52813530",
"account": "",
"inviteCode": "mexc-12345",
"inviteTime": 1637145478,
"spot": "1.25023599",
"etf": "0.00000000",
"futures": "0.00000000",
"total": "1.25023599",
"deposit": "26000.00000000",
"firstDepositTime": "2021-11-19"
}
]
}
}